/***************************************************************************
                           submountd.h
                             -------------------
    begin                : Wed May 14 12:29:05 EDT 2003
    copyright            : (C) 2003-2004 by Eugene S. Weiss
    email                : eweiss@sbcglobal.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#define MOUNT_LIST "/proc/mounts"

#ifndef SPINUP_DELAY
#define SPINUP_DELAY 2
#endif

#ifndef INTERVAL
#define INTERVAL 1
#endif

char *do_guess_fstype(const char *device);

struct fs_options {
	char *name;
	int iocharset;
	int umask;
	int uid;
};

struct mount_params {
	char *device;
	char *mountpoint;
	char *fstype;
	char *options;
	unsigned long flags;
};


#define ERR(arguments...) \
syslog(LOG_ERR,arguments)
