%define dist	mdk10beta2
%define name	submount
%define version	0.9
%define kerver 2.6.2-0.rc3.1mdk
%define release 1

Summary: Automatically mounts and unmounts removable media devices.
Name: %{name}
Version: %{version}
Release: %{release}%{dist}
Copyright: GPL
Group: System Environment/Base
Source: http://prdownloads.sourceforge.net/submount/submount-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot

%description
The submount system automatically mounts and unmounts removable
media devices when their mountpoints are accessed.

Install submount if you do not wish to mount and unmount removable media
devices manually.

This RPM will only work with the vendor kernel for which it was created.
If you are using a custom kernel, you must build submount from the source
code.

%prep
%setup -q
#%patch -p1 -b .buildroot

%build
cd subfs-%{version}
make
cd ..
./submountd-%{version}/configure
make CFLAGS="$RPM_OPT_FLAGS"


%install
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir
cd subfs-%{version}
make install DESTDIR=$RPM_BUILD_ROOT
cd ..
./rename-docs %{version}
%clean
rm -rf $RPM_BUILD_ROOT

%post
depmod -a

%files
%defattr(-,root,root)
%doc README COPYING INSTALL.subfs INSTALL.submountd README.subfs README.submountd 

/sbin/submountd
/sbin/net-submountd
/lib/modules/%{kerver}/kernel/fs/subfs/subfs.ko
%_mandir/man8/submount.8*

%changelog
* Wed Feb 4 2004 Eugene S. Weiss <yossarian@users.sourceforge.net>
	Initial release.

